package com.yihu.wlyy.entity.education;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 健康教育
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_food_comp")
public class FoodComp extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 412341231112321L ;

	// 父id
	private Long pid;
	// 名称
	private String name;
	// 热量
	private Long hot;
	// 成分
	private String component;
	//重量
	private String weight;

	private String photo;

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo;
	}

	public Long getPid() {
		return pid;
	}

	public void setPid(Long pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getHot() {
		return hot;
	}

	public void setHot(Long hot) {
		this.hot = hot;
	}

	public String getComponent() {
		return component;
	}

	public void setComponent(String component) {
		this.component = component;
	}

	public String getWeight() {
		return weight;
	}

	public void setWeight(String weight) {
		this.weight = weight;
	}
}
